Name:           tong
Version:        1.0
Release:        6%{?dist}
Summary:        A mixture of two classic games

Group:          Amusements/Games
License:        GPL
URL:            http://www.nongnu.org/tong
Source0:        http://www.nongnu.org/tong/tong-1.0.tar.gz
Source1:        tong-icon.png
Source2:        tong.desktop
Patch0:		tong-chdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  SDL_image-devel SDL_mixer-devel
Requires:	tong-data

%description
TONG is the result of intermixing two classic games, capitalizing on the
essential qualities of each and adding new twists of its own to make an
explosive chemical reaction out of it all.

%package data
Summary:	Data files for the Tong game
Group:          Amusements/Games
%description data
Data files for the Tong game.


%prep
%setup -q
%patch0 -b .orig

%build
make CC="%{__cxx} $RPM_OPT_FLAGS" GAME_DATA_DIR=%{_datadir}/tong %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

# Unfortunately, the Makefile does not contain an install: target so we
# have to install the files ourselves.
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -pD tong $RPM_BUILD_ROOT%{_bindir}/tong

for i in media/* ; do
    install -pD $i $RPM_BUILD_ROOT%{_datadir}/tong/$i
done

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/tong
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/tong-icon.png
%doc COPYING CREDITS making-of.txt

%files data
%defattr(-,root,root,-)
%{_datadir}/tong

%changelog
* Thu Feb 23 2006 Wart <wart at kobold.org> - 1.0-6
- Remove unused tong.sh source
- Consistent use of RPM_OPT_FLAGS

* Wed Feb 22 2006 Wart <wart at kobold.org> - 1.0-5
- Add RPM_OPT_FLAGS to compile line.

* Wed Feb 22 2006 Wart <wart at kobold.org> - 1.0-4
- Refined the installation hacks to use %_datadir

* Sat Feb 18 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.0-3
- Some hacks for a saner installation.

* Tue Feb 7 2006 <wart at kobold.org> - 1.0-2
- Remove potentially trademarked words from the summary and description.
- Added desktop icon

* Fri Jul 22 2005 <wart at kobold.org> - 1.0-1
- Initial package for Fedora.
